package com.facebook.share.internal;

import android.os.Bundle;
import com.facebook.internal.NativeAppCallAttachmentStore$Attachment;
import com.facebook.internal.Utility;
import com.facebook.internal.Utility.Mapper;
import com.tencent.matrix.trace.core.AppMethodBeat;

class ShareInternalUtility$10 implements Mapper<NativeAppCallAttachmentStore$Attachment, Bundle> {
    ShareInternalUtility$10() {
    }

    public final Bundle apply(NativeAppCallAttachmentStore$Attachment nativeAppCallAttachmentStore$Attachment) {
        AppMethodBeat.i(97258);
        Bundle bundle = new Bundle();
        bundle.putString("uri", nativeAppCallAttachmentStore$Attachment.getAttachmentUrl());
        String uriExtension = ShareInternalUtility.getUriExtension(nativeAppCallAttachmentStore$Attachment.getOriginalUri());
        if (uriExtension != null) {
            Utility.putNonEmptyString(bundle, "extension", uriExtension);
        }
        AppMethodBeat.o(97258);
        return bundle;
    }
}
